<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Obsequios
 *
 * @ORM\Table(name="obsequios", indexes={@ORM\Index(name="cve_pla", columns={"cve_pla"})})
 * @ORM\Entity
 */
class Obsequios
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_obs", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideObs;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_obs", type="string", length=500, nullable=false)
     */
    private $nomObs;

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_pla", type="integer", nullable=false)
     */
    private $cvePla;

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=false)
     */
    private $estatus;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=false)
     */
    private $horMov;



    /**
     * Get ideObs
     *
     * @return integer
     */
    public function getIdeObs()
    {
        return $this->ideObs;
    }

    /**
     * Set nomObs
     *
     * @param string $nomObs
     *
     * @return Obsequios
     */
    public function setNomObs($nomObs)
    {
        $this->nomObs = $nomObs;

        return $this;
    }

    /**
     * Get nomObs
     *
     * @return string
     */
    public function getNomObs()
    {
        return $this->nomObs;
    }

    /**
     * Set cvePla
     *
     * @param integer $cvePla
     *
     * @return Obsequios
     */
    public function setCvePla($cvePla)
    {
        $this->cvePla = $cvePla;

        return $this;
    }

    /**
     * Get cvePla
     *
     * @return integer
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return Obsequios
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;

        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return Obsequios
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;

        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return Obsequios
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;

        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }
}
